geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bill Middleton (JIRA)" <j...@apache.org>
Subject [jira] Commented: (GERONIMODEVTOOLS-125) Unable to upgrade from 1.1 to 1.2 Release through Eclipse
Date Wed, 01 Aug 2007 19:55:52 GMT

    [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-125?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12517058
] 

Bill Middleton commented on GERONIMODEVTOOLS-125:
-------------------------------------------------

The problem continues in Eclipse version 3.3.0 (Europa) when doing a clean install of the
IDE for Java EE Developers bundle when attempting to add the Geronimo server adapter.

I am adding this comment because:

1) I see this issue as a *severe* impediment to adoption of Geronimo (and its variants like
IBM Websphere Application Server Comunity Edition) in the developer community.  This problem
alone virtually neutralizes the project's guiding principle that Geronimo "Integrates with
the best open source tooling available like Eclipse".

2) Search engines need to pick up on new keywords in 3.3 that are different from those originally
reported in 3.2

So, to re-state the issue in 3.3 terms:

1. Clean install of Eclipse 3.3 Java EE bundle from the Europa release as available here:
http://www.eclipse.org/downloads/moreinfo/jee.php

2.. Attempt to add a Geronimo server using the "Define a New Server" dialog, then selecting
"Download additional server adapters", then selecting "org.apache.geronimo.feature". (This
choice should display a more meaningful description BTW)

The download and install runs, but after restarting, there are no new options available in
the "Apache" folder in the dialog.

Under the "Product Configuration", the red 'x' shows on the "org.apache.geronimo.feature (v1.2.0)"
plug-in and the status under properties shows the long list of messages originally reported
starting with:

"org.apache.geronimo.deployment.model" version "1.1.0" referenced by this feature is missing."

The work-around (as posted earlier) is to simply download the most recent version of the plug-in
from the site below, then extracting it directly to the Eclipse install directory:
http://people.apache.org/dist/geronimo/eclipse/unstable/

A "v1.1" and "v2.0" Geronimo entry will be available under the Apache folder in the new server
dialog.  However, the "org.apache.geronimo.feature" option still remains in the "download
additional server adapters" dialog.

> Unable to upgrade from 1.1 to 1.2 Release through Eclipse
> ---------------------------------------------------------
>
>                 Key: GERONIMODEVTOOLS-125
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-125
>             Project: Geronimo-Devtools
>          Issue Type: Bug
>          Components: eclipse-plugin
>    Affects Versions: 1.2.0
>         Environment: Linux (JDK 1.4.2)
> Windows XP (JDK 1.4.2, 1.5.0, 1.6.0)
>            Reporter: Reiner Kappenberger
>            Priority: Critical
>
> I've performed the following tasks:
> 1. Fresh Install of Eclipse (3.2.1) (removed previous eclipse & workspace
> 2. Update eclipse
> 3. Install Calisto Bundle
> 4. Install Geronimo support through "Don't see your server listed" link in Add Server
Runtime
> 5. Update Eclipse to latest version(s)
> During this latest update I receive the error that files cannot be created. In the configuration
I receive the following for the org.apache.geronimo.feature (v1.2.0):
> Plug-in "org.apache.geronimo.deployment.model" version "1.1.0" referenced by this feature
is missing.
> Plug-in "org.apache.geronimo.runtime.v1" version "1.1.0" referenced by this feature is
missing.
> Plug-in "org.apache.geronimo.deployment.model.edit" version "1.1.0" referenced by this
feature is missing.
> Plug-in "org.apache.geronimo.v11.deployment.model.edit" version "1.1.0" referenced by
this feature is missing.
> Plug-in "org.apache.geronimo.common.deployment.model.edit" version "1.1.0" referenced
by this feature is missing.
> Plug-in "org.apache.geronimo.v11.deployment.model" version "1.1.0" referenced by this
feature is missing.
> Plug-in "org.apache.geronimo.common.deployment.model" version "1.1.0" referenced by this
feature is missing.
> Plug-in "org.apache.geronimo.st.v11.ui" version "1.1.0" referenced by this feature is
missing.
> Plug-in "org.apache.geronimo.st.v11.core" version "1.1.0" referenced by this feature
is missing.
> Plug-in "org.apache.geronimo.st.v1.ui" version "1.1.0" referenced by this feature is
missing.
> Plug-in "org.apache.geronimo.st.v1.core" version "1.1.0" referenced by this feature is
missing.
> Plug-in "org.apache.geronimo.st.ui" version "1.1.0" referenced by this feature is missing.
> Plug-in "org.apache.geronimo.st.core" version "1.1.0" referenced by this feature is missing.
> Plug-in "org.apache.geronimo.runtime.v11" version "1.1.0" referenced by this feature
is missing.
> Plug-in "org.apache.geronimo.runtime.common" version "1.1.0" referenced by this feature
is missing.
> Reiner

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message